Docs
Audit log

List audit events

GET/audit-eventsNeedsaudit.view

Who did what, newest first.

Authorization

secretKey
headerAuthorizationBearer <sk_…>

A secret API key from Settings → API keys. It acts with its creator's role.

Query Parameters

action?string

Exact action, or area.*.

actorId?integer

Only this member's actions.

actorType?string

user, api_key, oauth_app, scim or system.

targetType?string

Only events about this kind of thing.

targetId?string

Only events about this one thing.

from?string

YYYY-MM-DD (inclusive) or an ISO timestamp.

to?string

YYYY-MM-DD (inclusive) or an ISO timestamp.

cursor?string

nextCursor from the previous page.

limit?integer

Page size, 1–200.

Range1 <= value <= 200
Default50

Response Body

OK

application/json
  1. response
events*array<>
nextCursor*string|null
Shell
curl -X GET 'https://app.cueston.com/api/audit-events'
Example Response
JSON
{
  "events": [
    {
      "id": 42,
      "action": "string",
      "actor": {
        "type": "string",
        "userId": 0,
        "label": "string"
      },
      "target": {
        "type": "string",
        "id": "string",
        "label": "string"
      },
      "metadata": {},
      "ip": "string",
      "userAgent": "string",
      "createdAt": "2026-10-26T09:30:00Z"
    }
  ],
  "nextCursor": "string"
}